class Sphere
{
public:
// constructors and operations as before
   Sphere();
   Sphere(double initialRadius);

   void setRadius(double newRadius);
   double getRadius() const;
   double getDiameter() const;
   double getCircumference() const;
   double getArea() const;
   double getVolume() const;
   void displayStatistics() const;

   friend void readSphereData(Sphere &s);
   friend void writeSphereData(Sphere &s);

private:
   double theRadius;
}; // end class
